Static deposits

Generate identity creation form

Use this method to generate identity creation form.

POST
/api/v2/my/static-deposit/identities/form

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/api/v2/my/static-deposit/identities/form" \  -H "Content-Type: application/json" \  -d '{}'
{  "form": {    "id": "36f59381-5b54-48bd-a0c7-3b908c476732",    "encryptionData": {      "publicKey": "MEgCQQCo9+BpMRYQ/dL3DS2CyJxRF+j6ctbT3/Qp84+KeFhnii7NT7fELilKUSnx S30WAvQCCo2yU1orfgqr41mM70MBAgMBAAE=",      "algorithm": null    },    "version": 1,    "groups": [      {        "name": "profile",        "label": "Profile",        "nameDisplayRules": [          {            "type": "email",            "fieldName": "age",            "value": 18,            "rules": [              {                "type": "email",                "fieldName": "age",                "value": 18,                "rules": []              }            ]          }        ],        "fields": [          {            "name": "name",            "label": "Name",            "type": "input",            "format": {              "type": "float",              "value": ""            },            "params": [              "example"            ],            "initialValues": [              "example"            ],            "readOnly": false,            "secretWasFilled": false,            "selectOptions": [              {                "name": "name",                "label": "Name",                "value": "name",                "displayRules": [                  {                    "type": "email",                    "fieldName": "age",                    "value": 18,                    "rules": [                      {                        "type": "email",                        "fieldName": "age",                        "value": 18,                        "rules": []                      }                    ]                  }                ]              }            ],            "validationRules": [              {                "type": "email",                "fieldName": "age",                "value": 18,                "rules": [                  {                    "type": "email",                    "fieldName": "age",                    "value": 18,                    "rules": []                  }                ]              }            ],            "mandatoryRules": [              {                "type": "email",                "fieldName": "age",                "value": 18,                "rules": [                  {                    "type": "email",                    "fieldName": "age",                    "value": 18,                    "rules": []                  }                ]              }            ],            "displayRules": [              {                "type": "email",                "fieldName": "age",                "value": 18,                "rules": [                  {                    "type": "email",                    "fieldName": "age",                    "value": 18,                    "rules": []                  }                ]              }            ]          }        ]      }    ]  },  "driver": {    "id": "36f59381-5b54-48bd-a0c7-3b908c476732",    "name": "static_deposit_qa"  }}
{  "error": {    "message": "Bad Request",    "details": [      {        "issue": "The selected value is invalid.",        "field": "parameter"      }    ]  }}
{  "error": {    "message": "Unauthorized"  }}
{  "error": {    "message": "Not Found"  }}
{  "errors": [    {      "name": "Error name",      "description": "Description",      "args": {}    }  ]}
{  "error": {    "message": "Too Many Requests"  }}
{  "error": {    "message": "Service Unavailable"  }}